Airwallex logo

Auto Payments

Copy for LLMView as Markdown
POST /api/v1/auto_payments/createCreate an Auto Payment
GET /api/v1/auto_payments/{id}Retrieve an Auto Payment
GET /api/v1/auto_paymentsList all Auto Payments
POST /api/v1/auto_payments/{id}/updateUpdate an Auto Payment
POST /api/v1/auto_payments/{id}/enableEnable an Auto Payment
POST /api/v1/auto_payments/{id}/disableDisable an Auto Payment
GET /api/v1/auto_payments/taskList all Auto Payment Tasks
auto.payment.execute.failAuto payment task execution failed.
auto.payment.execute.successAuto payment task execution succeeds.
auto.payment.will.expireAuto payment scheduled plan will expire.

Create an Auto Payment

POST /api/v1/auto_payments/create

Create a new auto payment.

Request body
paymentrequiredobject

Details for the payment in the auto payment request.

payment.amountrequiredobject

The amount that will payout to beneficiary,one of fixed_payout_amount, max_retained_balance.

payment.amount.fixed_payout_amountnumber

The specific amount will payout to beneficiary.

payment.amount.max_retained_balancenumber

The maximum amount will retain on the wallet, the payout amount will be difference between available balance and max retained balance.

payment.conditionrequiredobject

The condition set to trigger the automatic auto payout.

payment.condition.currencyrequiredstring

The currency of the threshold amount.

payment.condition.thresholdrequiredobject

The auto payout will be executed after the balance reach a specific level.

payment.condition.threshold.balance_gtrequirednumber

The balance should be greater than the threshold amount.

payment.reasonrequiredstring

Reason for the payment instruction.

payment.beneficiary_idstring

An Airwallex beneficiary_id previously generated by utilising the Airwallex Contact API.

payment.fee_paid_bystring

Denotes whether PAYER/BENEFICIARY will be liable for the payment fees, and it affects the actual amount the beneficiary receives. Once the PAYER was selected under the setting of max_retained_balance, the fee will deduct from retained balance; if the max_retained_balance set as zero, only BENEFICIARY can be selected to liable for the payment fees.

payment.payer_idstring

An Airwallex payer_id previously generated by utilising the Airwallex Contact API.

payment.referencestring

A user specified reference that will be displayed to the beneficiary on the payment transaction with their bank.

payment.swift_charge_optionstring

(For SWIFT payments only), specify who should bear SWIFT charges, either SHARED (default) or PAYER.

request_idrequiredstring

Unique request identifier. 1-50 characters long.

schedulerequiredobject

Indicate the frequency and specific time to execute an automatic payment.

schedule.execute_atrequiredobject

A specific time of the day to execute auto payout.

schedule.execute_at.timerequiredstring

Execution time with the format HH:MM.

schedule.execute_at.time_zonerequiredstring

A string containing the unique identifier of the time zone. These unique identifiers are defined by Unicode Common Locale Data Repository (CLDR) project, e.g., Asia/Shanghai, Asia/Hong_Kong, Australia/Melbourne, Asia/Singapore.

schedule.time_intervalrequiredstring

The frequency of the auto payout will execute once it meets the condition, can be one of DAILY, WEEKLY, MONTHLY, ONCE.

schedule.effective_date_timestring

The effective date time of the auto payout. Leave blank when the ONCE interval was set.

schedule.expiration_date_timestring

The expiration date time of the auto payout. Leave blank when the ONCE interval was set.

schedule.monthly_anchorstring

The specific date of a month to execute a monthly auto payout. Should be the number from 1-31, once 31 was set, it will be default as the last day of the month.

schedule.once_anchorstring

The specific date to execute a once auto payout.

schedule.weekly_anchorstring

The specific working day of a week to execute a weekly auto payout, can be one of MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY.

Response body - 201 Created
idstring

Unique identifier for the auto payment.

paymentobject

Payment for the auto payment instruction specified in the request.

payment.amountobject

The amount that will payout to beneficiary,one of fixed_payout_amount, max_retained_balance.

payment.amount.fixed_payout_amountnumber

The specific amount will payout to beneficiary.

payment.amount.max_retained_balancenumber

The maximum amount will retain on the wallet, the payout amount will be difference between available balance and max retained balance .

payment.conditionobject

The condition set to trigger the automatic schedule payout.

payment.condition.currencystring

The currency of the threshold amount.

payment.condition.thresholdobject

The auto payout will be executed after the balance reach a specific level.

payment.condition.threshold.balance_gtnumber

The balance should be greater than the threshold amount.

payment.reasonstring

Reason for the payment instruction.

payment.beneficiary_idstring

An Airwallex beneficiary_id previously generated by utilising the Airwallex Contact API.

payment.fee_paid_bystring

Denotes whether PAYER/BENEFICIARY will be liable for the payment fees, and it affects the actual amount the beneficiary receives. Once the PAYER was selected under the setting of max_retained_balance, the fee will deduct from retained balance; if the max_retained_balance set as zero, only BENEFICIARY can be selected to liable for the payment fees.

payment.payer_idstring

An Airwallex payer_id previously generated by utilising the Airwallex Contact API.

payment.referencestring

A user specified reference that will be displayed to the beneficiary on the payment transaction with their bank.

payment.swift_charge_optionstring

(For SWIFT payments only), specify who should bear SWIFT charges, either SHARED (default) or PAYER.

request_idstring

Unique request identifier specified in the request.

scheduleobject

Schedule for the auto payment instruction specified in the request.

schedule.execute_atobject

A specific time of the day to execute auto payout.

schedule.execute_at.timestring

Execution time with the format HH:MM.

schedule.execute_at.time_zonestring

A string containing the unique identifier of the time zone. These unique identifiers are defined by Unicode Common Locale Data Repository (CLDR) project, e.g., Asia/Shanghai, Asia/Hong_Kong, Australia/Melbourne, Asia/Singapore.

schedule.time_intervalstring

The frequency of the auto payout will execute once it meets the condition, can be one of DAILY, WEEKLY, MONTHLY, ONCE.

schedule.effective_date_timestring

The effective date time of the auto payout. Leave blank when the ONCE interval was set.

schedule.expiration_date_timestring

The expiration date time of the auto payout. Leave blank when the ONCE interval was set.

schedule.monthly_anchorstring

The specific date of a month to execute a monthly auto payout. Should be the number from 1-31, once 31 was set, it will be default as the last day of the month.

schedule.once_anchorstring

The specific date to execute a once auto payout.

schedule.weekly_anchorstring

The specific working day of a week to execute a weekly auto payout, can be one of MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY.

statusstring

The auto payment status, can be one of: NORMAL, CANCELLED, FINISHED.

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/auto_payments/create
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/auto_payments/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "payment": {
> "amount": {
> "fixed_payout_amount": 1000,
> "max_retained_balance": 1000
> },
> "beneficiary_id": "8365ea88-2946-4877-abe1-e02a1015288d",
> "condition": {
> "currency": "CNY",
> "threshold": {
> "balance_gt": 1000
> }
> },
> "fee_paid_by": "<string>",
> "payer_id": "46c22228-5831-4c53-a4fa-a3ab4954877c",
> "reason": "travel",
> "reference": "PMT1936398",
> "swift_charge_option": "SHARED"
> },
> "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
> "schedule": {
> "effective_date_time": "2019-08-03T15:22:11.240",
> "execute_at": {
> "time": "08:00",
> "time_zone": "Asia/Shanghai"
> },
> "expiration_date_time": "2019-09-03T15:22:11.240",
> "monthly_anchor": "1",
> "once_anchor": "2019-08-19",
> "time_interval": "DAILY",
> "weekly_anchor": "SUNDAY"
> }
>}'
Response (201 Created)
1{
2 "id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",
3 "payment": {
4 "amount": {
5 "fixed_payout_amount": 1000,
6 "max_retained_balance": 1000
7 },
8 "beneficiary_id": "8365ea88-2946-4877-abe1-e02a1015288d",
9 "condition": {
10 "currency": "CNY",
11 "threshold": {
12 "balance_gt": 1000
13 }
14 },
15 "fee_paid_by": "<string>",
16 "payer_id": "46c22228-5831-4c53-a4fa-a3ab4954877c",
17 "reason": "travel",
18 "reference": "PMT1936398",
19 "swift_charge_option": "SHARED"
20 },
21 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
22 "schedule": {
23 "effective_date_time": "2019-08-03T15:22:11.240",
24 "execute_at": {
25 "time": "08:00",
26 "time_zone": "Asia/Shanghai"
27 },
28 "expiration_date_time": "2019-09-03T15:22:11.240",
29 "monthly_anchor": "1",
30 "once_anchor": "2019-08-19",
31 "time_interval": "DAILY",
32 "weekly_anchor": "SUNDAY"
33 },
34 "status": "NORMAL"
35}
Was this section helpful?

Retrieve an Auto Payment

GET /api/v1/auto_payments/{id}

Get auto payment details by specifying auto payment unique identifier.

Path parameters
idrequiredstring

The unique identifier.

Response body - 200 OK
idstring

Unique identifier for the auto payment.

paymentobject

Payment for the auto payment instruction specified in the request.

payment.amountobject

The amount that will payout to beneficiary,one of fixed_payout_amount, max_retained_balance.

payment.amount.fixed_payout_amountnumber

The specific amount will payout to beneficiary.

payment.amount.max_retained_balancenumber

The maximum amount will retain on the wallet, the payout amount will be difference between available balance and max retained balance .

payment.conditionobject

The condition set to trigger the automatic schedule payout.

payment.condition.currencystring

The currency of the threshold amount.

payment.condition.thresholdobject

The auto payout will be executed after the balance reach a specific level.

payment.condition.threshold.balance_gtnumber

The balance should be greater than the threshold amount.

payment.reasonstring

Reason for the payment instruction.

payment.beneficiary_idstring

An Airwallex beneficiary_id previously generated by utilising the Airwallex Contact API.

payment.fee_paid_bystring

Denotes whether PAYER/BENEFICIARY will be liable for the payment fees, and it affects the actual amount the beneficiary receives. Once the PAYER was selected under the setting of max_retained_balance, the fee will deduct from retained balance; if the max_retained_balance set as zero, only BENEFICIARY can be selected to liable for the payment fees.

payment.payer_idstring

An Airwallex payer_id previously generated by utilising the Airwallex Contact API.

payment.referencestring

A user specified reference that will be displayed to the beneficiary on the payment transaction with their bank.

payment.swift_charge_optionstring

(For SWIFT payments only), specify who should bear SWIFT charges, either SHARED (default) or PAYER.

request_idstring

Unique request identifier specified in the request.

scheduleobject

Schedule for the auto payment instruction specified in the request.

schedule.execute_atobject

A specific time of the day to execute auto payout.

schedule.execute_at.timestring

Execution time with the format HH:MM.

schedule.execute_at.time_zonestring

A string containing the unique identifier of the time zone. These unique identifiers are defined by Unicode Common Locale Data Repository (CLDR) project, e.g., Asia/Shanghai, Asia/Hong_Kong, Australia/Melbourne, Asia/Singapore.

schedule.time_intervalstring

The frequency of the auto payout will execute once it meets the condition, can be one of DAILY, WEEKLY, MONTHLY, ONCE.

schedule.effective_date_timestring

The effective date time of the auto payout. Leave blank when the ONCE interval was set.

schedule.expiration_date_timestring

The expiration date time of the auto payout. Leave blank when the ONCE interval was set.

schedule.monthly_anchorstring

The specific date of a month to execute a monthly auto payout. Should be the number from 1-31, once 31 was set, it will be default as the last day of the month.

schedule.once_anchorstring

The specific date to execute a once auto payout.

schedule.weekly_anchorstring

The specific working day of a week to execute a weekly auto payout, can be one of MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY.

statusstring

The auto payment status, can be one of: NORMAL, CANCELLED, FINISHED.

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/auto_payments/{id}
$curl --request GET \
> --url 'https://api.sandbox.airwallex.com/api/v1/auto_payments/auto_payment_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",
3 "payment": {
4 "amount": {
5 "fixed_payout_amount": 1000,
6 "max_retained_balance": 1000
7 },
8 "beneficiary_id": "8365ea88-2946-4877-abe1-e02a1015288d",
9 "condition": {
10 "currency": "CNY",
11 "threshold": {
12 "balance_gt": 1000
13 }
14 },
15 "fee_paid_by": "<string>",
16 "payer_id": "46c22228-5831-4c53-a4fa-a3ab4954877c",
17 "reason": "travel",
18 "reference": "PMT1936398",
19 "swift_charge_option": "SHARED"
20 },
21 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
22 "schedule": {
23 "effective_date_time": "2019-08-03T15:22:11.240",
24 "execute_at": {
25 "time": "08:00",
26 "time_zone": "Asia/Shanghai"
27 },
28 "expiration_date_time": "2019-09-03T15:22:11.240",
29 "monthly_anchor": "1",
30 "once_anchor": "2019-08-19",
31 "time_interval": "DAILY",
32 "weekly_anchor": "SUNDAY"
33 },
34 "status": "NORMAL"
35}
Was this section helpful?

List all Auto Payments

GET /api/v1/auto_payments

Get list of auto payments from a specified creation date/time, with optional filters on end creation then auto payments one year in arrears of today or the to created_at date will be returned.

Query parameters
from_created_atstring

The start date of created_at in ISO8601 format (inclusive).

page_numinteger

Page number, starts from 0.

page_sizeinteger

Number of results per page. Default value is 100.

to_created_atstring

The end date of created_at in ISO8601 format (inclusive).

Response body - 200 OK
has_moreboolean

A flag which identifies whether there are more results.

itemsarray

Paged results.

items.paymentobject

Payment for the auto payment instruction specified in the request.

items.payment.amountobject

The amount that will payout to beneficiary,one of fixed_payout_amount, max_retained_balance.

items.payment.amount.fixed_payout_amountnumber

The specific amount will payout to beneficiary.

items.payment.amount.max_retained_balancenumber

The maximum amount will retain on the wallet, the payout amount will be difference between available balance and max retained balance .

items.payment.conditionobject

The condition set to trigger the automatic schedule payout.

items.payment.condition.currencystring

The currency of the threshold amount.

items.payment.condition.thresholdobject

The auto payout will be executed after the balance reach a specific level.

items.payment.condition.threshold.balance_gtnumber

The balance should be greater than the threshold amount.

items.payment.reasonstring

Reason for the payment instruction.

items.payment.beneficiary_idstring

An Airwallex beneficiary_id previously generated by utilising the Airwallex Contact API.

items.payment.fee_paid_bystring

Denotes whether PAYER/BENEFICIARY will be liable for the payment fees, and it affects the actual amount the beneficiary receives. Once the PAYER was selected under the setting of max_retained_balance, the fee will deduct from retained balance; if the max_retained_balance set as zero, only BENEFICIARY can be selected to liable for the payment fees.

items.payment.payer_idstring

An Airwallex payer_id previously generated by utilising the Airwallex Contact API.

items.payment.referencestring

A user specified reference that will be displayed to the beneficiary on the payment transaction with their bank.

items.payment.swift_charge_optionstring

(For SWIFT payments only), specify who should bear SWIFT charges, either SHARED (default) or PAYER.

items.request_idstring

Unique request identifier specified in the request.

items.scheduleobject

Schedule for the auto payment instruction specified in the request.

items.schedule.execute_atobject

A specific time of the day to execute auto payout.

items.schedule.execute_at.timestring

Execution time with the format HH:MM.

items.schedule.execute_at.time_zonestring

A string containing the unique identifier of the time zone. These unique identifiers are defined by Unicode Common Locale Data Repository (CLDR) project, e.g., Asia/Shanghai, Asia/Hong_Kong, Australia/Melbourne, Asia/Singapore.

items.schedule.time_intervalstring

The frequency of the auto payout will execute once it meets the condition, can be one of DAILY, WEEKLY, MONTHLY, ONCE.

items.schedule.effective_date_timestring

The effective date time of the auto payout. Leave blank when the ONCE interval was set.

items.schedule.expiration_date_timestring

The expiration date time of the auto payout. Leave blank when the ONCE interval was set.

items.schedule.monthly_anchorstring

The specific date of a month to execute a monthly auto payout. Should be the number from 1-31, once 31 was set, it will be default as the last day of the month.

items.schedule.once_anchorstring

The specific date to execute a once auto payout.

items.schedule.weekly_anchorstring

The specific working day of a week to execute a weekly auto payout, can be one of MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY.

items.statusstring

The auto payment status, can be one of: NORMAL, CANCELLED, FINISHED.

items.idstring

Unique identifier for the auto payment.

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/auto_payments
$curl --request GET \
> --url 'https://api.sandbox.airwallex.com/api/v1/auto_payments' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "has_more": false,
3 "items": [
4 {
5 "id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",
6 "payment": {
7 "amount": {
8 "fixed_payout_amount": 1000,
9 "max_retained_balance": 1000
10 },
11 "beneficiary_id": "8365ea88-2946-4877-abe1-e02a1015288d",
12 "condition": {
13 "currency": "CNY",
14 "threshold": {
15 "balance_gt": 1000
16 }
17 },
18 "payer_id": "46c22228-5831-4c53-a4fa-a3ab4954877c",
19 "reason": "travel",
20 "reference": "PMT1936398",
21 "swift_charge_option": "SHARED"
22 },
23 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
24 "schedule": {
25 "effective_date_time": "2019-08-03T15:22:11.240",
26 "execute_at": {
27 "time": "08:00",
28 "time_zone": "Asia/Shanghai"
29 },
30 "expiration_date_time": "2019-09-03T15:22:11.240",
31 "monthly_anchor": "1",
32 "once_anchor": "2019-08-19",
33 "time_interval": "DAILY",
34 "weekly_anchor": "SUNDAY"
35 },
36 "status": "NORMAL"
37 }
38 ]
39}
Was this section helpful?

Update an Auto Payment

POST /api/v1/auto_payments/{id}/update

Update auto payment.

Path parameters
idrequiredstring

Unique identifier of the auto payment to update.

Request body
paymentrequiredobject

Details for the payment in the auto payment request.

payment.amountrequiredobject

The amount that will payout to beneficiary,one of fixed_payout_amount, max_retained_balance.

payment.amount.fixed_payout_amountnumber

The specific amount will payout to beneficiary.

payment.amount.max_retained_balancenumber

The maximum amount will retain on the wallet, the payout amount will be difference between available balance and max retained balance.

payment.conditionrequiredobject

The condition set to trigger the automatic auto payout.

payment.condition.currencyrequiredstring

The currency of the threshold amount.

payment.condition.thresholdrequiredobject

The auto payout will be executed after the balance reach a specific level.

payment.condition.threshold.balance_gtrequirednumber

The balance should be greater than the threshold amount.

payment.reasonrequiredstring

Reason for the payment instruction.

payment.beneficiary_idstring

An Airwallex beneficiary_id previously generated by utilising the Airwallex Contact API.

payment.fee_paid_bystring

Denotes whether PAYER/BENEFICIARY will be liable for the payment fees, and it affects the actual amount the beneficiary receives. Once the PAYER was selected under the setting of max_retained_balance, the fee will deduct from retained balance; if the max_retained_balance set as zero, only BENEFICIARY can be selected to liable for the payment fees.

payment.payer_idstring

An Airwallex payer_id previously generated by utilising the Airwallex Contact API.

payment.referencestring

A user specified reference that will be displayed to the beneficiary on the payment transaction with their bank.

payment.swift_charge_optionstring

(For SWIFT payments only), specify who should bear SWIFT charges, either SHARED (default) or PAYER.

request_idrequiredstring

Unique request identifier. 1-50 characters long.

schedulerequiredobject

Indicate the frequency and specific time to execute an automatic payment.

schedule.execute_atrequiredobject

A specific time of the day to execute auto payout.

schedule.execute_at.timerequiredstring

Execution time with the format HH:MM.

schedule.execute_at.time_zonerequiredstring

A string containing the unique identifier of the time zone. These unique identifiers are defined by Unicode Common Locale Data Repository (CLDR) project, e.g., Asia/Shanghai, Asia/Hong_Kong, Australia/Melbourne, Asia/Singapore.

schedule.time_intervalrequiredstring

The frequency of the auto payout will execute once it meets the condition, can be one of DAILY, WEEKLY, MONTHLY, ONCE.

schedule.effective_date_timestring

The effective date time of the auto payout. Leave blank when the ONCE interval was set.

schedule.expiration_date_timestring

The expiration date time of the auto payout. Leave blank when the ONCE interval was set.

schedule.monthly_anchorstring

The specific date of a month to execute a monthly auto payout. Should be the number from 1-31, once 31 was set, it will be default as the last day of the month.

schedule.once_anchorstring

The specific date to execute a once auto payout.

schedule.weekly_anchorstring

The specific working day of a week to execute a weekly auto payout, can be one of MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY.

Response body - 200 OK
idstring

Unique identifier for the auto payment.

paymentobject

Payment for the auto payment instruction specified in the request.

payment.amountobject

The amount that will payout to beneficiary,one of fixed_payout_amount, max_retained_balance.

payment.amount.fixed_payout_amountnumber

The specific amount will payout to beneficiary.

payment.amount.max_retained_balancenumber

The maximum amount will retain on the wallet, the payout amount will be difference between available balance and max retained balance .

payment.conditionobject

The condition set to trigger the automatic schedule payout.

payment.condition.currencystring

The currency of the threshold amount.

payment.condition.thresholdobject

The auto payout will be executed after the balance reach a specific level.

payment.condition.threshold.balance_gtnumber

The balance should be greater than the threshold amount.

payment.reasonstring

Reason for the payment instruction.

payment.beneficiary_idstring

An Airwallex beneficiary_id previously generated by utilising the Airwallex Contact API.

payment.fee_paid_bystring

Denotes whether PAYER/BENEFICIARY will be liable for the payment fees, and it affects the actual amount the beneficiary receives. Once the PAYER was selected under the setting of max_retained_balance, the fee will deduct from retained balance; if the max_retained_balance set as zero, only BENEFICIARY can be selected to liable for the payment fees.

payment.payer_idstring

An Airwallex payer_id previously generated by utilising the Airwallex Contact API.

payment.referencestring

A user specified reference that will be displayed to the beneficiary on the payment transaction with their bank.

payment.swift_charge_optionstring

(For SWIFT payments only), specify who should bear SWIFT charges, either SHARED (default) or PAYER.

request_idstring

Unique request identifier specified in the request.

scheduleobject

Schedule for the auto payment instruction specified in the request.

schedule.execute_atobject

A specific time of the day to execute auto payout.

schedule.execute_at.timestring

Execution time with the format HH:MM.

schedule.execute_at.time_zonestring

A string containing the unique identifier of the time zone. These unique identifiers are defined by Unicode Common Locale Data Repository (CLDR) project, e.g., Asia/Shanghai, Asia/Hong_Kong, Australia/Melbourne, Asia/Singapore.

schedule.time_intervalstring

The frequency of the auto payout will execute once it meets the condition, can be one of DAILY, WEEKLY, MONTHLY, ONCE.

schedule.effective_date_timestring

The effective date time of the auto payout. Leave blank when the ONCE interval was set.

schedule.expiration_date_timestring

The expiration date time of the auto payout. Leave blank when the ONCE interval was set.

schedule.monthly_anchorstring

The specific date of a month to execute a monthly auto payout. Should be the number from 1-31, once 31 was set, it will be default as the last day of the month.

schedule.once_anchorstring

The specific date to execute a once auto payout.

schedule.weekly_anchorstring

The specific working day of a week to execute a weekly auto payout, can be one of MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY.

statusstring

The auto payment status, can be one of: NORMAL, CANCELLED, FINISHED.

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/auto_payments/{id}/update
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/auto_payments/auto_payment_id/update' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "payment": {
> "amount": {
> "fixed_payout_amount": 1000,
> "max_retained_balance": 1000
> },
> "beneficiary_id": "8365ea88-2946-4877-abe1-e02a1015288d",
> "condition": {
> "currency": "CNY",
> "threshold": {
> "balance_gt": 1000
> }
> },
> "fee_paid_by": "<string>",
> "payer_id": "46c22228-5831-4c53-a4fa-a3ab4954877c",
> "reason": "travel",
> "reference": "PMT1936398",
> "swift_charge_option": "SHARED"
> },
> "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
> "schedule": {
> "effective_date_time": "2019-08-03T15:22:11.240",
> "execute_at": {
> "time": "08:00",
> "time_zone": "Asia/Shanghai"
> },
> "expiration_date_time": "2019-09-03T15:22:11.240",
> "monthly_anchor": "1",
> "once_anchor": "2019-08-19",
> "time_interval": "DAILY",
> "weekly_anchor": "SUNDAY"
> }
>}'
Response (200 OK)
1{
2 "id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",
3 "payment": {
4 "amount": {
5 "fixed_payout_amount": 1000,
6 "max_retained_balance": 1000
7 },
8 "beneficiary_id": "8365ea88-2946-4877-abe1-e02a1015288d",
9 "condition": {
10 "currency": "CNY",
11 "threshold": {
12 "balance_gt": 1000
13 }
14 },
15 "fee_paid_by": "<string>",
16 "payer_id": "46c22228-5831-4c53-a4fa-a3ab4954877c",
17 "reason": "travel",
18 "reference": "PMT1936398",
19 "swift_charge_option": "SHARED"
20 },
21 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
22 "schedule": {
23 "effective_date_time": "2019-08-03T15:22:11.240",
24 "execute_at": {
25 "time": "08:00",
26 "time_zone": "Asia/Shanghai"
27 },
28 "expiration_date_time": "2019-09-03T15:22:11.240",
29 "monthly_anchor": "1",
30 "once_anchor": "2019-08-19",
31 "time_interval": "DAILY",
32 "weekly_anchor": "SUNDAY"
33 },
34 "status": "NORMAL"
35}
Was this section helpful?

Enable an Auto Payment

POST /api/v1/auto_payments/{id}/enable

Enable a auto payment by specifying auto payment unique identifier.

Path parameters
idrequiredstring

The unique identifier.

Response body - 200 OK

Success

Errors
Error statusDescription
400

Possible errors: invalid_argument, field_required

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/auto_payments/{id}/enable
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/auto_payments/auto_payment_id/enable' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1"<string>"
Was this section helpful?

Disable an Auto Payment

POST /api/v1/auto_payments/{id}/disable

Disable a auto payment by specifying auto payment unique identifier.

Path parameters
idrequiredstring

The unique identifier.

Response body - 200 OK

Success

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/auto_payments/{id}/disable
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/auto_payments/auto_payment_id/disable' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1"<string>"
Was this section helpful?

List all Auto Payment Tasks

GET /api/v1/auto_payments/task

Get list of auto payment task from a specified creation date/time, with optional filters on end creation then auto payments one year in arrears of today or the to created_at date will be returned.

Query parameters
from_created_atstring

The start date of created_at in ISO8601 format (inclusive).

page_numinteger

Page number, starts from 0.

page_sizeinteger

Number of results per page. Default value is 100.

to_created_atstring

The end date of created_at in ISO8601 format (inclusive).

Response body - 200 OK
has_moreboolean

A flag which identifies whether there are more results.

itemsarray

Paged results.

items.beneficiaryobject

Details of the beneficiary.

items.beneficiary.additional_infoobject

Additional information about the beneficiary.

items.beneficiary.additional_info.business_areastring

Category of business activity.

items.beneficiary.additional_info.business_phone_numberstring

Business phone number.

items.beneficiary.additional_info.business_registration_numberstring

Business registration number.

items.beneficiary.additional_info.external_identifierstring

The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes.

items.beneficiary.additional_info.legal_rep_bank_account_numberstring

Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.

items.beneficiary.additional_info.legal_rep_first_name_in_chinesestring

Legal representative first name in chinese.

items.beneficiary.additional_info.legal_rep_id_numberstring

Legal representative id number.

items.beneficiary.additional_info.legal_rep_last_name_in_chinesestring

Legal representative last name in chinese.

items.beneficiary.additional_info.legal_rep_mobile_numberstring

Legal representative’s mobile number associated with their bank account.

items.beneficiary.additional_info.personal_emailstring

Personal email.

items.beneficiary.additional_info.personal_first_name_in_chinesestring

Beneficiary's first name in Chinese.

items.beneficiary.additional_info.personal_id_numberstring

Personal unique identifier number.

items.beneficiary.additional_info.personal_id_typestring

Personal unique identifier type.

items.beneficiary.additional_info.personal_last_name_in_chinesestring

Beneficiary's last name in Chinese.

items.beneficiary.additional_info.personal_mobile_numberstring

Personal mobile number.

items.beneficiary.additional_info.recipient_account_idstring

Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).

items.beneficiary.additional_info.security_questionstring

Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.

items.beneficiary.additional_info.security_question_answerstring

Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.

items.beneficiary.addressobject

Beneficiary's address details.

items.beneficiary.address.citystring

Beneficiary's city.

items.beneficiary.address.country_codestring

Beneficiary's country code (2-letter ISO 3166-2 country code).

items.beneficiary.address.postcodestring

Beneficiary's post code.

items.beneficiary.address.statestring

Beneficiary's state.

items.beneficiary.address.street_addressstring

Beneficiary's street address.

items.beneficiary.bank_detailsobject

Beneficiary's bank account details where the payment will be credited.

items.beneficiary.bank_details.account_currencystring

Account Currency.

items.beneficiary.bank_details.account_namestring

Account holder name of the beneficiary’s bank account.

items.beneficiary.bank_details.bank_country_codestring

Bank country code (2-letter ISO 3166-2 country code).

items.beneficiary.bank_details.account_numberstring

Account number, mostly for non-european countries, either account_number or iban should be filled.

items.beneficiary.bank_details.account_routing_type1string

Routing code type.

items.beneficiary.bank_details.account_routing_type2string

Routing code sub type.

items.beneficiary.bank_details.account_routing_value1string

Routing code value.

items.beneficiary.bank_details.account_routing_value2string

Routing code sub type value.

items.beneficiary.bank_details.bank_account_categorystring

bank account type.

items.beneficiary.bank_details.bank_branchstring

Specific branch of bank account.

items.beneficiary.bank_details.bank_namestring

Bank name of the beneficiary's bank account.

items.beneficiary.bank_details.bank_statestring

Bank State.

items.beneficiary.bank_details.bank_street_addressstring

Bank street address.

items.beneficiary.bank_details.binding_mobile_numberstring

The mobile number tied to the Beneficiary's bank account.

items.beneficiary.bank_details.fingerprintstring

Fingerprint of current beneficiary's bank account.

items.beneficiary.bank_details.ibanstring

International bank account number, mostly for european countries.

items.beneficiary.bank_details.intermediary_bank_namestring

Bank name of the beneficiary's intermediary bank.

items.beneficiary.bank_details.intermediary_bank_swift_codestring

Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC.

items.beneficiary.bank_details.local_clearing_systemstring

Which clearing system should be used for this local bank transfer.

Please refer to our payout guide for details about each option.

We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).

items.beneficiary.bank_details.swift_codestring

Bank swift code.

items.beneficiary.cardobjectEarly access

Beneficiary's card details where the payment will be credited.

items.beneficiary.card.cardholder_namestring

Cardholder name.

items.beneficiary.card.tokenstring

Tokenised card number, which can be retrieved from Airwallex beneficiary component.

items.beneficiary.card.brandstring

Card brand.

items.beneficiary.card.currencystring

Card currency.

items.beneficiary.card.expiry_monthstring

Expiry month.

items.beneficiary.card.expiry_yearstring

Expiry year.

items.beneficiary.card.numberstring

Card number.

items.beneficiary.company_namestring

Company name of the beneficiary.

items.beneficiary.date_of_birthstring

beneficiary date of birth.

items.beneficiary.digital_walletobject

Beneficiary's digital wallet details where the payment will be credited.

items.beneficiary.digital_wallet.account_namestring

Account holder name of the beneficiary’s digital wallet.

items.beneficiary.digital_wallet.id_typestring

Account identifier type of the beneficiary’s digital wallet.

items.beneficiary.digital_wallet.id_valuestring

Account identifier value of the beneficiary’s digital wallet.

items.beneficiary.digital_wallet.providerstring

Service provider of the beneficiary's digital wallet.

items.beneficiary.digital_wallet.country_codestring

Digital wallet country code (2-letter ISO 3166-2 country code).

items.beneficiary.entity_typestring

Entity type of the beneficiary.

items.beneficiary.first_namestring

First name of the beneficiary.

items.beneficiary.last_namestring

Last name of the beneficiary.

items.beneficiary.typestring

Type of the beneficiary, indicating the type of account or method through which the beneficiary receives funds.

items.error_codestring

The error code of the auto payment task when task execute failed.

items.idstring

The unique identifier of this payment task under a auto payment plan.

items.linked_schedule_idstring

The unique identifier of the related auto payment plan.

items.messagestring

The error message of the auto payment task when task execute failed.

items.payerobject

Details of the payer.

items.payer.addressobject

Payer's address details.

items.payer.address.country_codestring

Payer's country code (2-letter ISO 3166-2 country code).

items.payer.address.citystring

Payer's city.

items.payer.address.postcodestring

Payer's post code.

items.payer.address.statestring

Payer's state.

items.payer.address.street_addressstring

Payer's street address.

items.payer.entity_typestring

Entity type of the payer.

items.payer.additional_infoobject

Additional information about the payer.

items.payer.additional_info.business_registration_numberstring

Business registration number.

items.payer.additional_info.business_registration_typestring

Type of business as registered with the local government authority.

items.payer.additional_info.external_idstring

Unique identifier of the person in your company.

items.payer.additional_info.personal_emailstring

Personal email.

items.payer.additional_info.personal_id_numberstring

Personal unique identifier number.

items.payer.company_namestring

Company name of the payer.

items.payer.date_of_birthstring

Payer's date of birth.

items.payer.first_namestring

First name of the payer.

items.payer.last_namestring

Last name of the payer.

items.payment_idstring

The unique id of the payment that can be used to query the status of the payment.

items.payout_amountnumber

Amount to be paid for making this schedule payment.

items.payout_currencystring

Currency the payment should be made in (3-letter ISO-4217 code).

items.statusstring

The auto payment task status, can be one of INITIAL, PROCESSING, SUCCESS, FAILED.

items.trigger_timestring

The exact date and time to execute the payment.

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/auto_payments/task
$curl --request GET \
> --url 'https://api.sandbox.airwallex.com/api/v1/auto_payments/task' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "has_more": false,
3 "items": [
4 {
5 "beneficiary": {
6 "additional_info": {
7 "business_area": "Travel",
8 "business_phone_number": "689342234",
9 "business_registration_number": "IT593003",
10 "legal_rep_bank_account_number": "44250100003700000000",
11 "legal_rep_first_name_in_chinese": "小芳",
12 "legal_rep_id_number": "110108199304203520",
13 "legal_rep_last_name_in_chinese": "刘",
14 "legal_rep_mobile_number": "13651362890",
15 "personal_email": "[email protected]",
16 "personal_first_name_in_chinese": "大明",
17 "personal_id_number": "1234567890",
18 "personal_id_type": "NATIONAL_ID",
19 "personal_last_name_in_chinese": "李",
20 "personal_mobile_number": "13651362890",
21 "security_question": "What is the name of my second puppy?",
22 "security_question_answer": "Scooby Doo"
23 },
24 "address": {
25 "city": "Melbourne",
26 "country_code": "AU",
27 "postcode": "3000",
28 "state": "VIC",
29 "street_address": "15 William Street"
30 },
31 "bank_details": {
32 "account_currency": "AUD",
33 "account_name": "Lee Da Ming",
34 "account_name_alias": "Lee D M",
35 "account_number": "12750852",
36 "account_routing_type1": "bsb",
37 "account_routing_type2": "sort_code",
38 "account_routing_value1": "083064",
39 "account_routing_value2": "123456",
40 "bank_account_category": "Checking,Savings,Vista,Maestra",
41 "bank_branch": "Melbourne",
42 "bank_country_code": "AU",
43 "bank_name": "National Australia Bank",
44 "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",
45 "binding_mobile_number": "654897612345",
46 "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",
47 "iban": "ES8023100001180000012345",
48 "intermediary_bank_name": "National Australia Bank",
49 "intermediary_bank_swift_code": "CTBAAU2S",
50 "local_clearing_system": "ACH",
51 "swift_code": "CTBAAU2S"
52 },
53 "card": {
54 "brand": "VISA",
55 "cardholder_name": "John Walker",
56 "currency": "USD",
57 "expiry_month": "10",
58 "expiry_year": "2033",
59 "number": "************1111",
60 "token": "AKvN4TqxI04SNFZ+oYRXaECtDA=="
61 },
62 "company_name": "Complete Concrete Pty Ltd",
63 "date_of_birth": "1976-08-26",
64 "digital_wallet": {
65 "account_name": "John Walker Corporation",
66 "country_code": "US",
67 "id_type": "account_number",
68 "id_value": "1033106816639334",
69 "provider": "AIRWALLEX"
70 },
71 "entity_type": "COMPANY",
72 "first_name": "John",
73 "last_name": "Walker"
74 },
75 "error_code": "insufficient_balance_gt",
76 "id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",
77 "linked_schedule_id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",
78 "payer": {
79 "additional_info": {
80 "business_registration_number": "EU300503",
81 "business_registration_type": "Partnership",
82 "external_id": "1234567890",
83 "personal_email": "[email protected]",
84 "personal_id_number": "1234567890"
85 },
86 "address": {
87 "city": "Melbourne",
88 "country_code": "AU",
89 "postcode": "3000",
90 "state": "VIC",
91 "street_address": "15 William Street"
92 },
93 "company_name": "Complete Concrete Pty Ltd",
94 "date_of_birth": "1976-08-26",
95 "entity_type": "COMPANY",
96 "first_name": "James",
97 "last_name": "Smith"
98 },
99 "payment_id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",
100 "payout_currency": "CNY",
101 "trigger_time": "2019-03-22T16:08:02"
102 }
103 ]
104}
Was this section helpful?